-- serverqueryfilter - This script will filter out fake server IPs from the master server query response.

--[[
FilterIP
--------

Called by hidefakes to determine if a server ip/port should be blacklisted.

Parameters:
	ip - a string version of the server's ip, in the typical "xx.xx.xx.xx" format
	port - the port number of the server

Return: true if you want this server to be BLACKLISTED, false otherwise.
--]]

function FilterIP( ip, port )
	-- some mm_realfake server.
	--if ip == "78.129.250.5" then return true end
	
	-- testing on sassilization's servers for blocking a range of IPs.
	--if string.find( ip, "^74.63.215." ) then return true end
	
	-- the ip from http://www.garry.tv/?p=781
	if ip == "67.53.7.145" then return true end
	
	return false
end

--[[

Notes: This is not GMod Lua. It is plain Lua, version 5.1.4. There is no input or output. If your script causes an error, bad things will happen.
 
Furthermore, there are only some of the normal libraries loaded. You only have math, string and table, as well as the "base" library.

Excluded from the "base" library are: dofile, load, loadfile, loadstring and print. Those are either unsafe, or useless without STDOUT.

None of this should be a problem since there are only a few things you should be doing in here.
--]]